import { ConfigService } from './config.service';
import { Asset } from '../models/configuration';
import { ReplaySubject } from 'rxjs';
export declare class AssetsProviderService {
    private config;
    private assets;
    changed: ReplaySubject<unknown>;
    constructor(config: ConfigService);
    get(fileName: string): string;
    getObject(fileName: string): string;
    getIcon(fileName: string): string;
    getOther(fileName: string): string;
    getAllObjects(): Asset[];
    getAllIcons(): Asset[];
    getAllOthers(): Asset[];
}
export declare function loadImage(data: string): Promise<HTMLImageElement>;
